
var contact = {
	valid: function() {
		var isError = false;
		var errors	= [];

		//__ champs obligatoires
		var fields = [
			{
				label:"Nom",
				element_id: "nom",
				not_regexp: /^$/
			},
			{
				label:"Prenom",
				element_id: "prenom",
				not_regexp: /^$/
			},
			{
				label:"Email",
				element_id: "email",
				regexp: /^.*@.*$/
			},
			{
				label:"Adresse",
				element_id: "adresse",
				not_regexp: /^$/
			},
			{
				label:"Code postal",
				element_id: "cp",
				regexp: /^[ab0-9]{5}$/i
			},
			{
				label:"Answer",
				element_id: "reponse1",
				regexp: /^[ab0-9]{5}$/i
			},
			{
				label:"Ville",
				element_id: "ville",
				not_regexp: /^$/
			}
		];

		// Controle les champs requis
		$(fields).each(function() {
			var elt = $("#"+this.element_id);
			var test_is_error = false;

			if( this.not_regexp ){
				test_is_error = this.not_regexp.test( $.trim(elt.val()) );
			} else {
				test_is_error = !this.regexp.test( $.trim(elt.val()) );
			}


			if( test_is_error ) {
				isError = true;
				elt.addClass("error-form");

				errors.push("- "+this.label);
			} else {
				elt.removeClass("error-form");
			}

		});
		/*
		if ($("input[name$='optin2']:checked").length === 0) {
			isError = true;
			$('#txt_optin2').css('color', '#C40300');
		} else {
			$('#txt_optin2').css('color', '#727070');
		}
		*/

		if( $('#day option:selected').text()=='Day' || $('#month option:selected').text()=='Month' || $('#year option:selected').text()=='Year'){
			isError = true;
			$('#day').addClass("error-form");
			$('#month').addClass("error-form");
			$('#year').addClass("error-form");
			
		}else{
			$('#day').removeClass("error-form");
			$('#month').removeClass("error-form");
			$('#year').removeClass("error-form");
		}

		if( isError ) {
			return false;
		}

		return true;
	}
};

